Package org.lwjgl.opengl

# Class ARBTextureStorage

java.lang.Object
org.lwjgl.opengl.ARBTextureStorage

public final class ARBTextureStorage extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_TEXTURE_IMMUTABLE_FORMAT`
Accepted by the <value> parameter of GetTexParameter{if}v:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glTexStorage1D(int target, int levels, int internalformat, int width)`
`static void`
`glTexStorage2D(int target, int levels, int internalformat, int width, int height)`
`static void`
`glTexStorage3D(int target, int levels, int internalformat, int width, int height, int depth)`
`static void`
`glTextureStorage1DEXT(int texture, int target, int levels, int internalformat, int width)`
`static void`
`glTextureStorage2DEXT(int texture, int target, int levels, int internalformat, int width, int height)`
`static void`
`glTextureStorage3DEXT(int texture, int target, int levels, int internalformat, int width, int height, int depth)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_IMMUTABLE_FORMAT

public static final int GL_TEXTURE_IMMUTABLE_FORMAT
Accepted by the <value> parameter of GetTexParameter{if}v:

See Also:
  - Constant Field Values

## Method Details

### glTexStorage1D

public static void glTexStorage1D(int target, int levels, int internalformat, int width)

### glTexStorage2D

public static void glTexStorage2D(int target, int levels, int internalformat, int width, int height)

### glTexStorage3D

public static void glTexStorage3D(int target, int levels, int internalformat, int width, int height, int depth)

### glTextureStorage1DEXT

public static void glTextureStorage1DEXT(int texture, int target, int levels, int internalformat, int width)

### glTextureStorage2DEXT

public static void glTextureStorage2DEXT(int texture, int target, int levels, int internalformat, int width, int height)

### glTextureStorage3DEXT

public static void glTextureStorage3DEXT(int texture, int target, int levels, int internalformat, int width, int height, int depth)